%define debug_package %{nil}
%global upstream_version 4.8

Summary: Nagios plugins to check Hardware Status of HP Proliant and Blades
Name: monitor-plugin-check_hpasm
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: https://labs.consol.de/assets/downloads/nagios/check_hpasm-%{upstream_version}.tar.gz
Requires: perl(Nagios::Plugin)
BuildRequires: automake
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
check_hpasm is a monitoring plugin to check the health status of HP Hardware
such as Proliant and Blade Chassis. Retrieved from
https://labs.consol.de/nagios/check_hpasm/.

%prep
%setup -q -n check_hpasm-%{upstream_version}

%build
aclocal
autoconf
automake
./configure --libexecdir=%{prefix} --libdir=%{prefix} --enable-perfdata
make
# For some reason these have executable flags in the source
chmod -X README
chmod -X COPYING


%install
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%attr(755, root, root) %{prefix}/check_hpasm

%changelog
* Tue Oct 27 2020 Jacob Hansen <jhansen@itrsgroup.com> 2020.j-4.8
- Updated to upstream version 4.8
* Thu Feb 20 2014 Anton Löfgren <alofgren@op5.com> 4.6.3.2-1
- Repackage for op5 distribution
* Tue Nov 13 2012 Pall Sigurdsson <palli@opensource.is> 4.6.2.1-1
- Initial packaging
